commit: 3891a6901aeedf84830e0c1d4363933a56fd8e33
Author: Kostadin Shishmanov <kocelfc <AT> tutanota <DOT> com>
AuthorDate: Thu Jun 13 11:55:40 2024 +0000
Commit: Kostadin Shishmanov <kocelfc <AT> tutanota <DOT> com>
CommitDate: Thu Jun 13 12:12:34 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3891a690
games-emulation/rpcs3: fix build, remove some files
Add new git submodules that are needed:
(zstd, stblib and openal-soft)
Remove some files that shouldn't be needed:
(/usr/share/rpcs3/{git,test})
Closes: https://bugs.gentoo.org/934194
Signed-off-by: Kostadin Shishmanov <kocelfc <AT> tutanota.com>
games-emulation/rpcs3/rpcs3-9999.ebuild | 12 +++++++++++-
1 file changed, 11 insertions(+), 1 deletion(-)
diff --git a/games-emulation/rpcs3/rpcs3-9999.ebuild
b/games-emulation/rpcs3/rpcs3-9999.ebuild
index 27d67610b..8e9ac66c7 100644
--- a/games-emulation/rpcs3/rpcs3-9999.ebuild
+++ b/games-emulation/rpcs3/rpcs3-9999.ebuild
@@ -17,7 +17,10 @@ DESCRIPTION="PS3 emulator/debugger"
HOMEPAGE="https://rpcs3.net/"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/RPCS3/rpcs3"
- EGIT_SUBMODULES=( 'asmjit' '3rdparty/glslang'
'3rdparty/miniupnp/miniupnp' '3rdparty/rtmidi/rtmidi' '3rdparty/wolfssl'
'3rdparty/SoundTouch/soundtouch' )
+ EGIT_SUBMODULES=(
+ 'asmjit' '3rdparty/glslang' '3rdparty/miniupnp/miniupnp'
'3rdparty/rtmidi/rtmidi' '3rdparty/wolfssl'
+ '3rdparty/SoundTouch/soundtouch' '3rdparty/zstd/zstd'
'3rdparty/stblib/stb' '3rdparty/OpenAL/openal-soft'
+ )
# Delete sources when ensuring yaml-cpp compiled with fexceptions
EGIT_SUBMODULES+=( '3rdparty/yaml-cpp' )
inherit git-r3
@@ -153,3 +156,10 @@ src_configure() {
-e 's/FFMPEG_LIB_AVUTIL-NOTFOUND/avutil/' -e
's/FFMPEG_LIB_SWSCALE-NOTFOUND/swscale/' \
-e 's/FFMPEG_LIB_SWRESAMPLE-NOTFOUND/swresample/'
"${BUILD_DIR}"/build.ninja || die
}
+
+src_install() {
+ cmake_src_install
+
+ # remove unneccessary files to save some space
+ rm -rf "${ED}/usr/share/rpcs3/"{git,test} || die
+}